﻿using Dapper.Contrib.Extensions;

namespace FabApprovalWorkerService.Models;

[Table("ECN")]
public class ECN {
    [Key]
    public required int ECNNumber { get; set; }
    public bool IsTECN { get; set; } = false;
    public required DateTime ExpirationDate { get; set; }
    public DateTime ExtensionDate { get; set; }
    public required int OriginatorID { get; set; }
    public required string Title { get; set; }
    public DateTime CloseDate { get; set; } = DateTime.MaxValue;
}
