﻿using Dapper.Contrib.Extensions;

namespace FabApprovalWorkerService.Models;

[Table("TrainingAssignment")]
public class TrainingAssignment {
    [Key]
    public int ID { get; set; }
    public required int UserID { get; set; }
    public required DateTime DateAssigned { get; set; }
    public int TrainingID { get; set; }
    public bool status { get; set; } = false;
    public bool Deleted { get; set; } = false;
    public DateTime DeletedDate { get; set; }
    public DateTime LastNotification {  get; set; }
}
