﻿using FabApprovalWorkerService.Utilities;

namespace FabApprovalWorkerService.Models;

public class Approval {
    public int ApprovalID { get; set; }
    public required int IssueID { get; set; }
    public required string RoleName { get; set; }
    public required string SubRole { get; set; }
    public required int UserID { get; set; }
    public User? User { get; set; }
    public required int SubRoleID { get; set; }
    public int ItemStatus { get; set; } = 0;
    public string StatusMessage = "Assigned";
    public DateTime NotifyDate { get; set; } = DateTimeUtilities.MIN_DT;
    public required DateTime AssignedDate { get; set; }
    public DateTime CompletedDate { get; set; } = DateTimeUtilities.MAX_DT;
    public string Comments { get; set; } = "";
    public int Step { get; set; } = 1;
    public string SubRoleCategoryItem { get; set; } = "";
    public int TaskID { get; set; }
}
