﻿using FabApprovalWorkerService.Utilities;

namespace FabApprovalWorkerService.Models;

public class PCRB {
    public int PlanNumber { get; set; }
    public int OwnerID { get; set; }
    public string OwnerName { get; set; } = "";
    public string Title { get; set; } = "";
    public string ChangeLevel { get; set; } = "Mesa";
    public bool IsITAR { get; set; } = false;
    public int CurrentStep { get; set; } = 0;
    public string ReasonForChange { get; set; } = "";
    public string ChangeDescription { get; set; } = "";
    public DateTime InsertTimeStamp { get; set; } = DateTimeUtilities.MIN_DT;
    public DateTime LastUpdateDate { get; set; } = DateTimeUtilities.MIN_DT;
    public DateTime ClosedDate { get; set; } = DateTimeUtilities.MAX_DT;
}
